use serde::{Serialize, Deserialize};

use super::{ConfigDisplayCmd, CmdRespWithRange};


#[derive(Clone, Copy, Serialize, Deserialize, Debug)]
pub enum CmdMqMessage {
    Brightness(ConfigDisplayCmd),
    Contrast(ConfigDisplayCmd),
    PresetMode(ConfigDisplayCmd),
}
#[derive(Clone, Copy, Serialize, Deserialize, Debug)]
pub enum CmdRespMqMessage {
    Brightness(ConfigDisplayCmd<CmdRespWithRange>),
    Contrast(ConfigDisplayCmd<CmdRespWithRange>),
    PresetMode(ConfigDisplayCmd<CmdRespWithRange>),
}